Bug 1114639 - Using "run puppet" feature fails: undefined method `gsub' for #<Array ...>
Summary: Using "run puppet" feature fails: undefined method `gsub' for #<Array ...>
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 14:21 UTC by Bryan Kearney
Modified: 2019-09-26 13:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:23:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 6402 0 None None None 2016-04-22 15:34:09 UTC

Description Bryan Kearney 2014-06-30 14:21:19 UTC
<pre>
 
Warning!
undefined method `gsub' for #<Array:0x00000008e13478>

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full trace and relevant log entries.
NoMethodError
undefined method `gsub' for #<Array:0x00000008e13478>
app/controllers/application_controller.rb:172:in `error'
app/controllers/hosts_controller.rb:193:in `puppetrun'
app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
lib/middleware/catch_json_parse_errors.rb:9:in `call'
</pre> 


Log from client:

<pre>
 puppet-agent[6949]: Forbidden request: foreman(10.0.0.10) access to /run/client.fqdn [save] authenticated  at :54
</pre>

Comment 1 Bryan Kearney 2014-06-30 14:21:21 UTC
Created from redmine issue http://projects.theforeman.org/issues/6402

Comment 3 Bryan Kearney 2014-07-23 00:03:39 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6402 has been closed
-------------
Dominic Cleal
Applied in changeset commit:b4fbdf574faf364fb1fc991c9363b3637ae70906.

Comment 6 Bryan Kearney 2014-09-11 12:23:40 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.